@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  lib-http-testserver startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and LIB_HTTP_TESTSERVER_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\lib-http-testserver.jar;%APP_HOME%\lib\app-ktor-server.jar;%APP_HOME%\lib\lib-test-common-jvm-0.4.4.jar;%APP_HOME%\lib\lib-content-scrapers-jvm.jar;%APP_HOME%\lib\sharedse-jvm-0.4.4.jar;%APP_HOME%\lib\core-jvm-0.4.4.jar;%APP_HOME%\lib\lib-database-jvm-0.4.4.jar;%APP_HOME%\lib\mockwebserver-4.10.0.jar;%APP_HOME%\lib\lib-util-jvm-0.4.4.jar;%APP_HOME%\lib\door-runtime-jvm-0.0.63c.jar;%APP_HOME%\lib\kodein-di-framework-ktor-server-jvm-7.15.0.jar;%APP_HOME%\lib\napier-jvm-2.6.1.jar;%APP_HOME%\lib\klock-jvm-2.4.13.jar;%APP_HOME%\lib\ktor-server-netty-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-cors-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-call-logging-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-content-negotiation-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-conditional-headers-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-status-pages-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-html-builder-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-websockets-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-sessions-jvm-2.0.0.jar;%APP_HOME%\lib\ktor-server-servlet-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-host-common-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-server-core-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-serialization-gson-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-client-content-negotiation-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-client-okhttp-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-client-cio-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-client-json-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-client-core-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-serialization-kotlinx-json-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-websocket-serialization-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-serialization-kotlinx-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-serialization-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-events-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-websockets-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-http-cio-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-http-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-network-tls-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-network-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-utils-jvm-2.1.2.jar;%APP_HOME%\lib\ktor-io-jvm-2.1.2.jar;%APP_HOME%\lib\kotlinx-serialization-json-jvm-1.4.1.jar;%APP_HOME%\lib\kodein-di-jvm-7.15.0.jar;%APP_HOME%\lib\xmlpullparserkmp-jvm-0.0.20.jar;%APP_HOME%\lib\door-annotations-jvm-0.0.63c.jar;%APP_HOME%\lib\okhttp-sse-4.9.3.jar;%APP_HOME%\lib\okhttp-4.10.0.jar;%APP_HOME%\lib\okio-jvm-3.0.0.jar;%APP_HOME%\lib\kotlinx-html-jvm-0.7.5.jar;%APP_HOME%\lib\kotlinx-serialization-core-jvm-1.4.1.jar;%APP_HOME%\lib\kaverit-jvm-2.2.1-kotlin-1.7.20-RC.jar;%APP_HOME%\lib\kotlinx-coroutines-jdk8-1.6.4.jar;%APP_HOME%\lib\kotlinx-coroutines-core-jvm-1.6.4.jar;%APP_HOME%\lib\kotlinx-coroutines-slf4j-1.6.4.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.7.20.jar;%APP_HOME%\lib\nanohttpd-nanolets-2.3.1.jar;%APP_HOME%\lib\nanohttpd-2.3.1.jar;%APP_HOME%\lib\json-20220320.jar;%APP_HOME%\lib\commons-cli-1.5.0.jar;%APP_HOME%\lib\logback-classic-1.2.11.jar;%APP_HOME%\lib\webdrivermanager-5.3.0.jar;%APP_HOME%\lib\gson-2.9.1.jar;%APP_HOME%\lib\simple-jndi-0.23.0.jar;%APP_HOME%\lib\commons-dbcp2-2.9.0.jar;%APP_HOME%\lib\commons-pool2-2.11.1.jar;%APP_HOME%\lib\sqlite-jdbc-3.39.3.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.7.20.jar;%APP_HOME%\lib\kotlin-reflect-1.7.20.jar;%APP_HOME%\lib\atomicfu-jvm-0.18.4.jar;%APP_HOME%\lib\kotlin-stdlib-1.7.20.jar;%APP_HOME%\lib\selenium-java-4.5.0.jar;%APP_HOME%\lib\selenium-chrome-driver-4.5.0.jar;%APP_HOME%\lib\postgresql-42.5.0.jar;%APP_HOME%\lib\docker-java-3.2.13.jar;%APP_HOME%\lib\docker-java-core-3.2.13.jar;%APP_HOME%\lib\commons-io-2.11.0.jar;%APP_HOME%\lib\jsoup-1.15.3.jar;%APP_HOME%\lib\browsermob-core-2.1.5.jar;%APP_HOME%\lib\littleproxy-1.1.0-beta-bmp-17.jar;%APP_HOME%\lib\commons-lang3-3.12.0.jar;%APP_HOME%\lib\kxml2-2.3.0.jar;%APP_HOME%\lib\quartz-2.3.2.jar;%APP_HOME%\lib\netty-tcnative-boringssl-static-2.0.54.Final.jar;%APP_HOME%\lib\jakarta.mail-2.0.1.jar;%APP_HOME%\lib\commons-compress-1.21.jar;%APP_HOME%\lib\kotlin-stdlib-common-1.7.20.jar;%APP_HOME%\lib\mockito-kotlin-4.0.0.jar;%APP_HOME%\lib\junit-4.13.jar;%APP_HOME%\lib\logback-core-1.2.11.jar;%APP_HOME%\lib\docker-java-transport-httpclient5-3.2.13.jar;%APP_HOME%\lib\httpclient5-5.1.3.jar;%APP_HOME%\lib\HikariCP-java7-2.4.13.jar;%APP_HOME%\lib\HikariCP-5.0.1.jar;%APP_HOME%\lib\selenium-devtools-v104-4.5.0.jar;%APP_HOME%\lib\selenium-devtools-v105-4.5.0.jar;%APP_HOME%\lib\selenium-devtools-v106-4.5.0.jar;%APP_HOME%\lib\selenium-firefox-driver-4.5.0.jar;%APP_HOME%\lib\selenium-devtools-v85-4.5.0.jar;%APP_HOME%\lib\selenium-edge-driver-4.5.0.jar;%APP_HOME%\lib\selenium-ie-driver-4.5.0.jar;%APP_HOME%\lib\selenium-safari-driver-4.5.0.jar;%APP_HOME%\lib\selenium-support-4.5.0.jar;%APP_HOME%\lib\selenium-chromium-driver-4.5.0.jar;%APP_HOME%\lib\selenium-remote-driver-4.5.0.jar;%APP_HOME%\lib\async-http-client-2.12.3.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.30.jar;%APP_HOME%\lib\async-http-client-netty-utils-2.12.3.jar;%APP_HOME%\lib\docker-java-api-3.2.13.jar;%APP_HOME%\lib\slf4j-api-1.7.36.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\pdfbox-3.0.0-RC1.jar;%APP_HOME%\lib\fontbox-3.0.0-RC1.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\selenium-http-4.5.0.jar;%APP_HOME%\lib\selenium-json-4.5.0.jar;%APP_HOME%\lib\selenium-api-4.5.0.jar;%APP_HOME%\lib\auto-service-1.0.1.jar;%APP_HOME%\lib\auto-service-annotations-1.0.1.jar;%APP_HOME%\lib\auto-common-1.2.jar;%APP_HOME%\lib\guava-31.1-jre.jar;%APP_HOME%\lib\dec-0.1.2.jar;%APP_HOME%\lib\checker-qual-3.12.0.jar;%APP_HOME%\lib\c3p0-0.9.5.4.jar;%APP_HOME%\lib\mchange-commons-java-0.2.15.jar;%APP_HOME%\lib\nv-i18n-1.29.jar;%APP_HOME%\lib\log4j-core-2.19.0.jar;%APP_HOME%\lib\log4j-api-2.19.0.jar;%APP_HOME%\lib\httpcore5-h2-5.1.3.jar;%APP_HOME%\lib\httpcore5-5.1.3.jar;%APP_HOME%\lib\netty-tcnative-classes-2.0.54.Final.jar;%APP_HOME%\lib\jakarta.activation-2.0.1.jar;%APP_HOME%\lib\mockito-core-4.0.0.jar;%APP_HOME%\lib\hamcrest-core-1.3.jar;%APP_HOME%\lib\netty-codec-http2-4.1.78.Final.jar;%APP_HOME%\lib\alpn-api-1.1.3.v20160715.jar;%APP_HOME%\lib\netty-transport-native-kqueue-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-native-kqueue-4.1.79.Final-osx-x86_64.jar;%APP_HOME%\lib\netty-transport-native-epoll-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-native-epoll-4.1.79.Final-linux-x86_64.jar;%APP_HOME%\lib\config-1.4.2.jar;%APP_HOME%\lib\jansi-2.4.0.jar;%APP_HOME%\lib\jcommander-1.82.jar;%APP_HOME%\lib\netty-handler-proxy-4.1.60.Final.jar;%APP_HOME%\lib\netty-codec-http-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-classes-epoll-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-classes-kqueue-4.1.79.Final.jar;%APP_HOME%\lib\netty-reactive-streams-2.0.4.jar;%APP_HOME%\lib\netty-handler-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-native-unix-common-4.1.79.Final.jar;%APP_HOME%\lib\netty-codec-socks-4.1.60.Final.jar;%APP_HOME%\lib\netty-codec-4.1.79.Final.jar;%APP_HOME%\lib\netty-transport-4.1.79.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.79.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.79.Final.jar;%APP_HOME%\lib\netty-common-4.1.79.Final.jar;%APP_HOME%\lib\opentelemetry-exporter-logging-1.17.0.jar;%APP_HOME%\lib\opentelemetry-sdk-extension-autoconfigure-1.17.0-alpha.jar;%APP_HOME%\lib\opentelemetry-sdk-extension-autoconfigure-spi-1.17.0.jar;%APP_HOME%\lib\opentelemetry-sdk-1.17.0.jar;%APP_HOME%\lib\opentelemetry-sdk-trace-1.17.0.jar;%APP_HOME%\lib\opentelemetry-sdk-metrics-1.17.0.jar;%APP_HOME%\lib\opentelemetry-sdk-logs-1.17.0-alpha.jar;%APP_HOME%\lib\opentelemetry-sdk-common-1.17.0.jar;%APP_HOME%\lib\opentelemetry-semconv-1.17.0-alpha.jar;%APP_HOME%\lib\opentelemetry-exporter-common-1.17.0.jar;%APP_HOME%\lib\opentelemetry-api-1.17.0.jar;%APP_HOME%\lib\opentelemetry-context-1.17.0.jar;%APP_HOME%\lib\jtoml-2.0.0.jar;%APP_HOME%\lib\byte-buddy-1.12.14.jar;%APP_HOME%\lib\commons-exec-1.3.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\error_prone_annotations-2.11.0.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\docker-java-transport-3.2.13.jar;%APP_HOME%\lib\jna-5.8.0.jar;%APP_HOME%\lib\commons-codec-1.15.jar;%APP_HOME%\lib\jackson-databind-2.10.3.jar;%APP_HOME%\lib\jackson-core-2.10.3.jar;%APP_HOME%\lib\jackson-annotations-2.10.3.jar;%APP_HOME%\lib\dnsjava-2.1.8.jar;%APP_HOME%\lib\jzlib-1.1.3.jar;%APP_HOME%\lib\netty-all-4.0.51.Final.jar;%APP_HOME%\lib\mitm-2.1.5.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.64.jar;%APP_HOME%\lib\bcprov-jdk15on-1.64.jar;%APP_HOME%\lib\byte-buddy-agent-1.11.19.jar;%APP_HOME%\lib\objenesis-3.2.jar;%APP_HOME%\lib\reactive-streams-1.0.3.jar;%APP_HOME%\lib\failsafe-3.2.4.jar


@rem Execute lib-http-testserver
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %LIB_HTTP_TESTSERVER_OPTS%  -classpath "%CLASSPATH%" io.ktor.server.netty.EngineMain %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable LIB_HTTP_TESTSERVER_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%LIB_HTTP_TESTSERVER_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
